FLANG

Public Member Functions | List of all members
Fortran::semantics::TypeParamDetails Class Reference

## Public Member Functions
| TypeParamDetails (common::TypeParamAttr attr)
| TypeParamDetails (const TypeParamDetails &)=default
common::TypeParamAttr | attr () const
MaybeIntExpr & | init ()
const MaybeIntExpr & | init () const
void | set_init (MaybeIntExpr &&expr)
const DeclTypeSpec * | type () const
void | set_type (const DeclTypeSpec &)
void | ReplaceType (const DeclTypeSpec &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp